﻿<%@ Page Language="C#" validateRequest="false" AutoEventWireup="true" CodeBehind="ExcelSpreadCopyPaste.aspx.cs" Inherits="ExcelSpreadCopyPasteV9.ExcelSpreadCopyPaste" %>

<%@ Register assembly="FarPoint.Web.Spread, Version=9.40.20161.0, Culture=neutral, PublicKeyToken=327c3516b1b18457" namespace="FarPoint.Web.Spread" tagprefix="FarPoint" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script lang="javascript" type="text/javascript">
        var newDiv, hiddenDiv;

        window.onload = function () {
            var spread = document.getElementById("<%=FpSpread1.ClientID %>");
            
            document.getElementById("contentEditor").onpaste = function (e) {              
                var text = (e.originalEvent || e).clipboardData.getData('text/html');

                newDiv = document.createElement("div");
                newDiv.innerHTML = text;
                newDiv.id = "spreadTable";
                document.getElementById("contentEditor").appendChild(newDiv);
                
                SaveTable();

                FpSpread1.CallBack("PasteSpread", false);
                if (document.getElementById("contentEditor").children != null) {
                    for (var c = 2; c < document.getElementById("contentEditor").children.length; c++) {
                        document.getElementById("contentEditor").children[c].hidden = true;
                    }
                }

                e.preventDefault();
            }

        }

        function GetHTMLTableString(table) {
            var tableAttr = table.attributes;

            var tableString = "<" + table.nodeName.toLowerCase();

            for (var i = 0; i < tableAttr.length; i++) {
                tableString += " " + tableAttr[i].name + "='" + tableAttr[i].value + "'";
            }

            tableString += ">" + table.innerHTML + "</" + table.nodeName.toLowerCase() + ">";
            return tableString;
        }
        
        function SaveTable() {
            document.getElementById("Hidden1").value = GetHTMLTableString(newDiv);
        }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <div>
        <h1>Excel-Spread Copy-Paste</h1>
        <p>You can copy cells from an Excel file and put them into the Spreadsheet below!</p>
        <div class="toggle" id="contentEditor" contenteditable="true" style="background:#c7c7c7">
            <p>Paste cells here!</p>
            <input id="Hidden1" type="hidden" runat="server" />
        </div>
        <FarPoint:FpSpread ID="FpSpread1" runat="server" BorderColor="#A0A0A0" BorderStyle="Solid" BorderWidth="1px" Height="582px" Width="947px" OnButtonCommand="FpSpread1_ButtonCommand">
            <commandbar backcolor="#F6F6F6" buttonfacecolor="Control" buttonhighlightcolor="ControlLightLight" buttonshadowcolor="ControlDark">
            </commandbar>
            <sheets>
                <FarPoint:SheetView SheetName="Sheet1">
                </FarPoint:SheetView>
            </sheets>
        </FarPoint:FpSpread>
    
    </div>
    </form>
</body>
</html>
